Worldguard completely broken in 1.12

Discussion in 'WorldGuard' started by Fonzee9, May 14, 2017.

  1. Fonzee9

    Fonzee9 New Member

    Worldguard won't even start no errors however none of the commands work
  2. wizjany

    wizjany Administrator Developer

    we know. it's not even released yet. just be patient.
  3. Fonzee9

    Fonzee9 New Member

  4. Fonzee9

    Fonzee9 New Member

    Lots of server owners want to upgrade to 1.12 pre 2 but without worldguard its a problem :(
  5. wizjany

    wizjany Administrator Developer

    people who are smart/stupid enough to run pre-releases will figure it out anyway. there's already a PR on the repo.
  6. Fonzee9

    Fonzee9 New Member

    PR of Worldguard? Link please
  7. Fonzee9

    Fonzee9 New Member

    I want to update to 1.12 pre 2 because its stable and my players want it.
  8. wizjany

    wizjany Administrator Developer

    then you'll have to figure it out.
  9. Fonzee9

    Fonzee9 New Member

    I wish i knew how to but i don't know java
  10. Fonzee9

    Fonzee9 New Member

    Worldedit works on 1.12 pre 2 so why doesn't worldguard?
  11. Fonzee9

    Fonzee9 New Member

    This plugin means a lot to server owners and since 1.12 pre 2 is out for public use most people will try and use this plugin only to find out its not working. Please update this atleast a dev build as it would help so many people.
  12. wizjany

    wizjany Administrator Developer

    that's weird it's not supposed to according to md_5

    also please stop double posting. it's getting annoying
  13. Fonzee9

    Fonzee9 New Member

    Sorry but yeah. Any chance we can get a dev build??
  14. PseudoKnight

    PseudoKnight Well-Known Member

    Okay, Fonzee9, pre-releases (especially Spigot pre-releases) are for testing, not for stable servers. This allows developers time to update and test their plugins for the official release maybe later this week (or next week). The turn around these days is amazingly fast. This is only the second time we've had a Spigot pre-release. It's nice. But let's not take it for granted. Especially since it's going to be really bad for 1.13.

    Personally, I've gotten almost all the code done for 1.12 CommandHelper support, but I haven't gotten around to do the testing yet. But that's with a mostly free schedule, and most of us do this on our spare time.
    Last edited: May 15, 2017
  15. mrfloris

    mrfloris New Member

    Glad to see the site being back online, we were afraid you guys disappeared! <3
    Yeah, the current build breaks in the 1.12 pre2 from Spigot, but md_5 has a working build that we can use until 1.12 and WG and spigot all go stable.

    It super helps with the testing of the 1.12 setup, our private server is already up and running and we can't wait to prepare for a public version in the (near) future when things are stable.

    To those who want to upgrade to 1.12, don't run it live please, it's not that stable, and not meant to be for production either. Go test! Find bugs, and report them to the devs :)